# Uses of Interface
javax.transaction.xa.Xid

Packages that use Xid
Package
Description
javax.transaction.xa
Provides the API that defines the contract between the transaction manager and the resource manager, which allows the transaction manager to enlist and delist resource objects (supplied by the resource manager driver) in JTA transactions.

## Uses of Xid in javax.transaction.xa

Methods in javax.transaction.xa that return Xid
Modifier and Type
Method
Description
`Xid[]`
XAResource.`recover​(int flag)`
Obtains a list of prepared transaction branches from a resource manager.
Methods in javax.transaction.xa with parameters of type Xid
Modifier and Type
Method
Description
`void`
XAResource.`commit​(Xid xid, boolean onePhase)`
Commits the global transaction specified by xid.
`void`
XAResource.`end​(Xid xid, int flags)`
Ends the work performed on behalf of a transaction branch.
`void`
XAResource.`forget​(Xid xid)`
Tells the resource manager to forget about a heuristically completed transaction branch.
`int`
XAResource.`prepare​(Xid xid)`
Ask the resource manager to prepare for a transaction commit of the transaction specified in xid.
`void`
XAResource.`rollback​(Xid xid)`
Informs the resource manager to roll back work done on behalf of a transaction branch.
`void`
XAResource.`start​(Xid xid, int flags)`
Starts work on behalf of a transaction branch specified in `xid`.